Bug 1071153 - offlineimap needs python2-six
offlineimap needs python2-six
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
All Other
: P5 - None : Minor (vote)
: ---
Assigned To: Ondřej Súkup
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-05 00:28 UTC by Ralf Friedl
Modified: 2020-02-25 12:48 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Friedl 2017-12-05 00:28:28 UTC
File /usr/lib/python2.7/site-packages/offlineimap/accounts.py:23 from package offlineimap-7.1.4-1.2.noarch contains "import six", but python2-six is not listed in the package requirements. As a consequence, just installing offlineimap if python2-six is not already installed leads to this error:

> Traceback (most recent call last):                      
>   File "/usr/bin/offlineimap", line 20, in <module>     
>     from offlineimap import OfflineImap                 
>   File "/usr/lib/python2.7/site-packages/offlineimap/__init__.py", line 20, in <module>                          
>     from offlineimap.init import OfflineImap            
>   File "/usr/lib/python2.7/site-packages/offlineimap/init.py", line 34, in <module>                              
>     from offlineimap import threadutil, accounts, folder, mbnames                                                
>   File "/usr/lib/python2.7/site-packages/offlineimap/accounts.py", line 23, in <module>                          
>     import six                                          
> ImportError: No module named six
Comment 1 Andreas Stieger 2017-12-05 19:24:41 UTC
Assign to one of the maintainer
Comment 2 Martin Pluskal 2017-12-06 08:06:19 UTC
See sr#554709
Comment 3 Ondřej Súkup 2020-02-25 12:48:26 UTC
offlineimap was dropped from factory, not releavant anymore